import matplotlib.pyplot as plt
import seaborn as sns
import pandas as pd

sns.set_style("darkgrid")
df = sns.load_dataset("mpg")
sns.lineplot(x='model_year', y='horsepower', hue='origin',
             data=df[df['origin'] != 'europe'])

plt.show()
